Loading...
Searching...
No Matches
gtsam::System Class Reference

## Detailed Description

Helper class encapsulating the combined system |Ax-b_|^2 Needed to run Conjugate Gradients on matrices.

## Public Member Functions

| System (const Matrix &A, const Vector &b)
const Matrix & | A () const
| Access A matrix.
const Vector & | b () const
| Access b vector.
Vector | operator^ (const Vector &e) const
| Apply operator A'*e.
void | print (const std::string &s="System") const
| Print with optional string.
Vector | gradient (const Vector &x) const
| gradient of objective function 0.5*|Ax-b_|^2 at x = A_'*(Ax-b_)
Vector | operator* (const Vector &x) const
| Apply operator A.
void | multiplyInPlace (const Vector &x, Vector &e) const
| Apply operator A in place.
void | transposeMultiplyAdd (double alpha, const Vector &e, Vector &x) const
| x += alpha* A'*e

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/iterative.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/iterative.cpp